/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_EQUIPAMENTO                                              */
/* Tabela : EQUIPAMENTO                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_EQUIPAMENTO' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_EQUIPAMENTO
GO

CREATE TRIGGER DTULTATU_EQUIPAMENTO
ON EQUIPAMENTO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'EQUIPAMENTO', null, 'CDEQUIP='+ CDEQUIP+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE EQUIPAMENTO
      SET DTULTATUEQUI = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(EQUIPAMENTO.SGEQUIP,0) = ISNULL(INSERTED.SGEQUIP,0)) AND
            (ISNULL(EQUIPAMENTO.CDEQUIP,0) = ISNULL(INSERTED.CDEQUIP,0)) AND
            (ISNULL(EQUIPAMENTO.DSEQUIP,0) = ISNULL(INSERTED.DSEQUIP,0));
   END;
END;
GO

